export class Settings {
  static getServiceUrl(): string {
    if (typeof window === "undefined") return "";
    return window.localStorage.getItem("pds_url") || "";
  }

  static getAdminPassword(): string {
    if (typeof window === "undefined") return "";
    return window.localStorage.getItem("pds_admin_password") || "";
  }

  static saveSettings(url: string, password: string) {
    if (typeof window === "undefined") return;
    window.localStorage.setItem("pds_url", url);
    window.localStorage.setItem("pds_admin_password", password);
  }

  static clearSettings() {
    if (typeof window === "undefined") return;
    window.localStorage.removeItem("pds_url");
    window.localStorage.removeItem("pds_admin_password");
  }
}
